diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/jfs/inode.c linux-2.4.22-ashuariadevel/fs/jfs/inode.c
*** linux-2.4.22-ashuariadevel.backup/fs/jfs/inode.c	2003-06-13 23:51:37.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/jfs/inode.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 199,205 ****
  	set_cflag(COMMIT_Dirty, inode);
  }
  
! static int jfs_get_block(struct inode *ip, long lblock,
  			 struct buffer_head *bh_result, int create)
  {
  	s64 lblock64 = lblock;
--- 199,205 ----
  	set_cflag(COMMIT_Dirty, inode);
  }
  
! static int jfs_get_block(struct inode *ip, sector_t lblock,
  			 struct buffer_head *bh_result, int create)
  {
  	s64 lblock64 = lblock;
***************
*** 322,334 ****
  	return block_prepare_write(page, from, to, jfs_get_block);
  }
  
! static int jfs_bmap(struct address_space *mapping, long block)
  {
  	return generic_block_bmap(mapping, block, jfs_get_block);
  }
  
  static int jfs_direct_IO(int rw, struct inode *inode, struct kiobuf *iobuf,
! 			 unsigned long blocknr, int blocksize)
  {
  	return generic_direct_IO(rw, inode, iobuf, blocknr,
  				 blocksize, jfs_get_block);
--- 322,334 ----
  	return block_prepare_write(page, from, to, jfs_get_block);
  }
  
! static sector_t jfs_bmap(struct address_space *mapping, sector_t block)
  {
  	return generic_block_bmap(mapping, block, jfs_get_block);
  }
  
  static int jfs_direct_IO(int rw, struct inode *inode, struct kiobuf *iobuf,
! 			 sector_t blocknr, int blocksize)
  {
  	return generic_direct_IO(rw, inode, iobuf, blocknr,
  				 blocksize, jfs_get_block);
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/minix/inode.c linux-2.4.22-ashuariadevel/fs/minix/inode.c
*** linux-2.4.22-ashuariadevel.backup/fs/minix/inode.c	2002-02-26 04:38:09.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/minix/inode.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 292,298 ****
  	return 0;
  }
  
! static int minix_get_block(struct inode *inode, long block,
  		    struct buffer_head *bh_result, int create)
  {
  	if (INODE_VERSION(inode) == MINIX_V1)
--- 292,298 ----
  	return 0;
  }
  
! static int minix_get_block(struct inode *inode, sector_t block,
  		    struct buffer_head *bh_result, int create)
  {
  	if (INODE_VERSION(inode) == MINIX_V1)
***************
*** 313,319 ****
  {
  	return block_prepare_write(page,from,to,minix_get_block);
  }
! static int minix_bmap(struct address_space *mapping, long block)
  {
  	return generic_block_bmap(mapping,block,minix_get_block);
  }
--- 313,319 ----
  {
  	return block_prepare_write(page,from,to,minix_get_block);
  }
! static sector_t minix_bmap(struct address_space *mapping, sector_t block)
  {
  	return generic_block_bmap(mapping,block,minix_get_block);
  }
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/minix/itree_common.c linux-2.4.22-ashuariadevel/fs/minix/itree_common.c
*** linux-2.4.22-ashuariadevel.backup/fs/minix/itree_common.c	2002-02-26 04:38:09.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/minix/itree_common.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 140,146 ****
  	return -EAGAIN;
  }
  
! static inline int get_block(struct inode * inode, long block,
  			struct buffer_head *bh_result, int create)
  {
  	int err = -EIO;
--- 140,146 ----
  	return -EAGAIN;
  }
  
! static inline int get_block(struct inode * inode, sector_t block,
  			struct buffer_head *bh_result, int create)
  {
  	int err = -EIO;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/nfs/direct.c linux-2.4.22-ashuariadevel/fs/nfs/direct.c
*** linux-2.4.22-ashuariadevel.backup/fs/nfs/direct.c	2003-12-09 11:52:13.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/nfs/direct.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 348,354 ****
   */
  int
  nfs_direct_IO(int rw, struct file *file, struct kiobuf *iobuf,
! 	unsigned long blocknr, int blocksize)
  {
  	int result = -EINVAL;
  	size_t count = iobuf->length;
--- 348,354 ----
   */
  int
  nfs_direct_IO(int rw, struct file *file, struct kiobuf *iobuf,
! 	sector_t blocknr, int blocksize)
  {
  	int result = -EINVAL;
  	size_t count = iobuf->length;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/acorn.c linux-2.4.22-ashuariadevel/fs/partitions/acorn.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/acorn.c	2002-08-03 09:39:45.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/acorn.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 462,468 ****
   * Returns: -1 on error, 0 if not ADFS format, 1 if ok.
   */
  int acorn_partition(struct gendisk *hd, struct block_device *bdev,
! 		    unsigned long first_sect, int first_minor)
  {
  	int i;
  
--- 462,468 ----
   * Returns: -1 on error, 0 if not ADFS format, 1 if ok.
   */
  int acorn_partition(struct gendisk *hd, struct block_device *bdev,
! 		    sector_t first_sect, int first_minor)
  {
  	int i;
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/acorn.h linux-2.4.22-ashuariadevel/fs/partitions/acorn.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/acorn.h	2004-01-19 17:47:35.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/acorn.h	2004-02-02 15:20:57.000000000 +0900
***************
*** 51,55 ****
  	
  
  int acorn_partition(struct gendisk *hd, struct block_device *bdev,
! 		   unsigned long first_sect, int first_minor);
  
--- 51,55 ----
  	
  
  int acorn_partition(struct gendisk *hd, struct block_device *bdev,
! 		   sector_t first_sect, int first_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/amiga.c linux-2.4.22-ashuariadevel/fs/partitions/amiga.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/amiga.c	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/amiga.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 32,38 ****
  
  int
  amiga_partition(struct gendisk *hd, struct block_device *bdev,
! 		unsigned long first_sector, int first_part_minor)
  {
  	Sector sect;
  	unsigned char *data;
--- 32,38 ----
  
  int
  amiga_partition(struct gendisk *hd, struct block_device *bdev,
! 		sector_t first_sector, int first_part_minor)
  {
  	Sector sect;
  	unsigned char *data;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/amiga.h linux-2.4.22-ashuariadevel/fs/partitions/amiga.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/amiga.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/amiga.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 4,8 ****
  
  int
  amiga_partition(struct gendisk *hd, struct block_device *bdev,
! 		unsigned long first_sector, int first_part_minor);
  
--- 4,8 ----
  
  int
  amiga_partition(struct gendisk *hd, struct block_device *bdev,
! 		sector_t first_sector, int first_part_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/atari.c linux-2.4.22-ashuariadevel/fs/partitions/atari.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/atari.c	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/atari.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 41,47 ****
  }
  
  int atari_partition (struct gendisk *hd, struct block_device *bdev,
! 		     unsigned long first_sector, int minor)
  {
  	int m_lim = minor + hd->max_p;
  	Sector sect;
--- 41,47 ----
  }
  
  int atari_partition (struct gendisk *hd, struct block_device *bdev,
! 		     sector_t first_sector, int minor)
  {
  	int m_lim = minor + hd->max_p;
  	Sector sect;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/atari.h linux-2.4.22-ashuariadevel/fs/partitions/atari.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/atari.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/atari.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 32,36 ****
  } __attribute__((__packed__));
  
  int atari_partition (struct gendisk *hd, struct block_device *bdev,
! 		     unsigned long first_sector, int first_part_minor);
  
--- 32,36 ----
  } __attribute__((__packed__));
  
  int atari_partition (struct gendisk *hd, struct block_device *bdev,
! 		     sector_t first_sector, int first_part_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/check.c linux-2.4.22-ashuariadevel/fs/partitions/check.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/check.c	2003-12-09 11:52:21.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/check.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 19,24 ****
--- 19,25 ----
  #include <linux/blk.h>
  #include <linux/init.h>
  #include <linux/raid/md.h>
+ #include <linux/blkdev.h>
  
  #include "check.h"
  
***************
*** 35,45 ****
  #include "ultrix.h"
  #include "efi.h"
  
- extern int *blk_size[];
  
  int warn_no_part = 1; /*This is ugly: should make genhd removable media aware*/
  
! static int (*check_part[])(struct gendisk *hd, struct block_device *bdev, unsigned long first_sect, int first_minor) = {
  #ifdef CONFIG_ACORN_PARTITION
  	acorn_partition,
  #endif
--- 36,45 ----
  #include "ultrix.h"
  #include "efi.h"
  
  
  int warn_no_part = 1; /*This is ugly: should make genhd removable media aware*/
  
! static int (*check_part[])(struct gendisk *hd, struct block_device *bdev, sector_t first_sect, int first_minor) = {
  #ifdef CONFIG_ACORN_PARTITION
  	acorn_partition,
  #endif
***************
*** 208,214 ****
  /*
   * Add a partitions details to the devices partition description.
   */
! void add_gd_partition(struct gendisk *hd, int minor, int start, int size)
  {
  #ifndef CONFIG_DEVFS_FS
  	char buf[40];
--- 208,214 ----
  /*
   * Add a partitions details to the devices partition description.
   */
! void add_gd_partition(struct gendisk *hd, int minor, sector_t start, sector_t size)
  {
  #ifndef CONFIG_DEVFS_FS
  	char buf[40];
***************
*** 231,237 ****
  {
  	devfs_handle_t de = NULL;
  	static int first_time = 1;
! 	unsigned long first_sector;
  	struct block_device *bdev;
  	char buf[64];
  	int i;
--- 231,237 ----
  {
  	devfs_handle_t de = NULL;
  	static int first_time = 1;
! 	sector_t first_sector;
  	struct block_device *bdev;
  	char buf[64];
  	int i;
***************
*** 378,391 ****
   */
  
  void register_disk(struct gendisk *gdev, kdev_t dev, unsigned minors,
! 	struct block_device_operations *ops, long size)
  {
  	if (!gdev)
  		return;
  	grok_partitions(gdev, MINOR(dev)>>gdev->minor_shift, minors, size);
  }
  
! void grok_partitions(struct gendisk *dev, int drive, unsigned minors, long size)
  {
  	int i;
  	int first_minor	= drive << dev->minor_shift;
--- 378,391 ----
   */
  
  void register_disk(struct gendisk *gdev, kdev_t dev, unsigned minors,
! 	struct block_device_operations *ops, sector_t size)
  {
  	if (!gdev)
  		return;
  	grok_partitions(gdev, MINOR(dev)>>gdev->minor_shift, minors, size);
  }
  
! void grok_partitions(struct gendisk *dev, int drive, unsigned minors, sector_t size)
  {
  	int i;
  	int first_minor	= drive << dev->minor_shift;
***************
*** 419,431 ****
  	}
  }
  
! unsigned char *read_dev_sector(struct block_device *bdev, unsigned long n, Sector *p)
  {
  	struct address_space *mapping = bdev->bd_inode->i_mapping;
- 	int sect = PAGE_CACHE_SIZE / 512;
  	struct page *page;
  
! 	page = read_cache_page(mapping, n/sect,
  			(filler_t *)mapping->a_ops->readpage, NULL);
  	if (!IS_ERR(page)) {
  		wait_on_page(page);
--- 419,430 ----
  	}
  }
  
! unsigned char *read_dev_sector(struct block_device *bdev, sector_t n, Sector *p)
  {
  	struct address_space *mapping = bdev->bd_inode->i_mapping;
  	struct page *page;
  
! 	page = read_cache_page(mapping, n >> (PAGE_CACHE_SHIFT-9),
  			(filler_t *)mapping->a_ops->readpage, NULL);
  	if (!IS_ERR(page)) {
  		wait_on_page(page);
***************
*** 434,440 ****
  		if (PageError(page))
  			goto fail;
  		p->v = page;
! 		return (unsigned char *)page_address(page) + 512 * (n % sect);
  fail:
  		page_cache_release(page);
  	}
--- 433,439 ----
  		if (PageError(page))
  			goto fail;
  		p->v = page;
! 		return (unsigned char *)page_address(page) + ((n & ((1 << (PAGE_CACHE_SHIFT - 9)) - 1)) << 9);
  fail:
  		page_cache_release(page);
  	}
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/check.h linux-2.4.22-ashuariadevel/fs/partitions/check.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/check.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/check.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 2,12 ****
   * add_partition adds a partitions details to the devices partition
   * description.
   */
! void add_gd_partition(struct gendisk *hd, int minor, int start, int size);
  
  typedef struct {struct page *v;} Sector;
  
! unsigned char *read_dev_sector(struct block_device *, unsigned long, Sector *);
  
  static inline void put_dev_sector(Sector p)
  {
--- 2,12 ----
   * add_partition adds a partitions details to the devices partition
   * description.
   */
! void add_gd_partition(struct gendisk *hd, int minor, sector_t start, sector_t size);
  
  typedef struct {struct page *v;} Sector;
  
! unsigned char *read_dev_sector(struct block_device *, sector_t, Sector *);
  
  static inline void put_dev_sector(Sector p)
  {
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/efi.c linux-2.4.22-ashuariadevel/fs/partitions/efi.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/efi.c	2003-08-25 20:44:43.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/efi.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 712,718 ****
   */
  int
  efi_partition(struct gendisk *hd, struct block_device *bdev,
! 	      unsigned long first_sector, int first_part_minor)
  {
  
  	kdev_t dev = to_kdev_t(bdev->bd_dev);
--- 712,718 ----
   */
  int
  efi_partition(struct gendisk *hd, struct block_device *bdev,
! 	      sector_t first_sector, int first_part_minor)
  {
  
  	kdev_t dev = to_kdev_t(bdev->bd_dev);
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/efi.h linux-2.4.22-ashuariadevel/fs/partitions/efi.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/efi.h	2004-01-19 17:47:35.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/efi.h	2004-02-02 15:20:57.000000000 +0900
***************
*** 110,115 ****
  /* Functions */
  extern int
   efi_partition(struct gendisk *hd, struct block_device *bdev,
! 	      unsigned long first_sector, int first_part_minor);
  
  #endif
--- 110,115 ----
  /* Functions */
  extern int
   efi_partition(struct gendisk *hd, struct block_device *bdev,
! 	      sector_t first_sector, int first_part_minor);
  
  #endif
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/ldm.c linux-2.4.22-ashuariadevel/fs/partitions/ldm.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/ldm.c	2003-06-13 23:51:37.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/ldm.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 1482,1488 ****
   *            Or @bdev is a dynamic disk, but it may be corrupted
   */
  int ldm_partition (struct gendisk *hd, struct block_device *bdev,
! 	unsigned long first_sector, int first_minor)
  {
  	struct ldmdb  *ldb;
  	unsigned long base;
--- 1482,1488 ----
   *            Or @bdev is a dynamic disk, but it may be corrupted
   */
  int ldm_partition (struct gendisk *hd, struct block_device *bdev,
! 	sector_t first_sector, int first_minor)
  {
  	struct ldmdb  *ldb;
  	unsigned long base;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/ldm.h linux-2.4.22-ashuariadevel/fs/partitions/ldm.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/ldm.h	2004-01-19 17:47:35.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/ldm.h	2004-02-02 15:20:57.000000000 +0900
***************
*** 215,221 ****
  };
  
  int ldm_partition (struct gendisk *hd, struct block_device *bdev,
! 	unsigned long first_sector, int first_minor);
  
  #endif /* _FS_PT_LDM_H_ */
  
--- 215,221 ----
  };
  
  int ldm_partition (struct gendisk *hd, struct block_device *bdev,
! 	sector_t first_sector, int first_minor);
  
  #endif /* _FS_PT_LDM_H_ */
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/mac.c linux-2.4.22-ashuariadevel/fs/partitions/mac.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/mac.c	2002-08-03 09:39:45.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/mac.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 25,31 ****
   */
  
  int mac_partition(struct gendisk *hd, struct block_device *bdev,
! 		unsigned long fsec, int first_part_minor)
  {
  	Sector sect;
  	unsigned char *data;
--- 25,31 ----
   */
  
  int mac_partition(struct gendisk *hd, struct block_device *bdev,
! 		sector_t fsec, int first_part_minor)
  {
  	Sector sect;
  	unsigned char *data;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/mac.h linux-2.4.22-ashuariadevel/fs/partitions/mac.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/mac.h	2002-08-03 09:39:45.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/mac.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 49,52 ****
      /* ... more stuff */
  };
  
! int mac_partition(struct gendisk *hd, struct block_device *bdev, unsigned long fsec, int first_part_minor);
--- 49,52 ----
      /* ... more stuff */
  };
  
! int mac_partition(struct gendisk *hd, struct block_device *bdev, sector_t fsec, int first_part_minor);
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/msdos.c linux-2.4.22-ashuariadevel/fs/partitions/msdos.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/msdos.c	2002-11-29 08:53:15.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/msdos.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 551,557 ****
  }
   
  int msdos_partition(struct gendisk *hd, struct block_device *bdev,
! 		    unsigned long first_sector, int first_part_minor)
  {
  	int i, minor = first_part_minor;
  	Sector sect;
--- 551,557 ----
  }
   
  int msdos_partition(struct gendisk *hd, struct block_device *bdev,
! 		    sector_t first_sector, int first_part_minor)
  {
  	int i, minor = first_part_minor;
  	Sector sect;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/msdos.h linux-2.4.22-ashuariadevel/fs/partitions/msdos.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/msdos.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/msdos.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 5,9 ****
  #define MSDOS_LABEL_MAGIC		0xAA55
  
  int msdos_partition(struct gendisk *hd, struct block_device *bdev,
! 		    unsigned long first_sector, int first_part_minor);
  
--- 5,9 ----
  #define MSDOS_LABEL_MAGIC		0xAA55
  
  int msdos_partition(struct gendisk *hd, struct block_device *bdev,
! 		    sector_t first_sector, int first_part_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/osf.c linux-2.4.22-ashuariadevel/fs/partitions/osf.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/osf.c	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/osf.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 18,24 ****
  #include "osf.h"
  
  int osf_partition(struct gendisk *hd, struct block_device *bdev,
! 		unsigned long first_sector, int current_minor)
  {
  	int i;
  	Sector sect;
--- 18,24 ----
  #include "osf.h"
  
  int osf_partition(struct gendisk *hd, struct block_device *bdev,
! 		sector_t first_sector, int current_minor)
  {
  	int i;
  	Sector sect;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/osf.h linux-2.4.22-ashuariadevel/fs/partitions/osf.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/osf.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/osf.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 5,9 ****
  #define DISKLABELMAGIC (0x82564557UL)
  
  int osf_partition(struct gendisk *hd, struct block_device *bdev,
! 		unsigned long first_sector, int current_minor);
  
--- 5,9 ----
  #define DISKLABELMAGIC (0x82564557UL)
  
  int osf_partition(struct gendisk *hd, struct block_device *bdev,
! 		sector_t first_sector, int current_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/sgi.c linux-2.4.22-ashuariadevel/fs/partitions/sgi.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/sgi.c	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/sgi.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 17,23 ****
  #include "check.h"
  #include "sgi.h"
  
! int sgi_partition(struct gendisk *hd, struct block_device *bdev, unsigned long first_sector, int current_minor)
  {
  	int i, csum, magic;
  	unsigned int *ui, start, blocks, cs;
--- 17,23 ----
  #include "check.h"
  #include "sgi.h"
  
! int sgi_partition(struct gendisk *hd, struct block_device *bdev, sector_t first_sector, int current_minor)
  {
  	int i, csum, magic;
  	unsigned int *ui, start, blocks, cs;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/sgi.h linux-2.4.22-ashuariadevel/fs/partitions/sgi.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/sgi.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/sgi.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 3,9 ****
   */
  
  extern int sgi_partition(struct gendisk *hd, struct block_device *bdev,
! 	 unsigned long first_sector, int first_part_minor);
  
  #define SGI_LABEL_MAGIC 0x0be5a941
  
--- 3,9 ----
   */
  
  extern int sgi_partition(struct gendisk *hd, struct block_device *bdev,
! 	 sector_t first_sector, int first_part_minor);
  
  #define SGI_LABEL_MAGIC 0x0be5a941
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/sun.c linux-2.4.22-ashuariadevel/fs/partitions/sun.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/sun.c	2002-11-29 08:53:15.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/sun.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 24,30 ****
  extern void md_autodetect_dev(kdev_t dev);
  #endif
  
! int sun_partition(struct gendisk *hd, struct block_device *bdev, unsigned long first_sector, int first_part_minor)
  {
  	int i, csum;
  	unsigned short *ush;
--- 24,30 ----
  extern void md_autodetect_dev(kdev_t dev);
  #endif
  
! int sun_partition(struct gendisk *hd, struct block_device *bdev, sector_t first_sector, int first_part_minor)
  {
  	int i, csum;
  	unsigned short *ush;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/sun.h linux-2.4.22-ashuariadevel/fs/partitions/sun.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/sun.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/sun.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 5,9 ****
  #define SUN_LABEL_MAGIC          0xDABE
  
  int sun_partition(struct gendisk *hd, struct block_device *bdev,
! 		  unsigned long first_sector, int first_part_minor);
  
--- 5,9 ----
  #define SUN_LABEL_MAGIC          0xDABE
  
  int sun_partition(struct gendisk *hd, struct block_device *bdev,
! 		  sector_t first_sector, int first_part_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/ultrix.c linux-2.4.22-ashuariadevel/fs/partitions/ultrix.c
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/ultrix.c	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/ultrix.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 15,21 ****
  #include "check.h"
  
  int ultrix_partition(struct gendisk *hd, struct block_device *bdev,
!                             unsigned long first_sector, int first_part_minor)
  {
  	int i;
  	Sector sect;
--- 15,21 ----
  #include "check.h"
  
  int ultrix_partition(struct gendisk *hd, struct block_device *bdev,
!                             sector_t first_sector, int first_part_minor)
  {
  	int i;
  	Sector sect;
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/partitions/ultrix.h linux-2.4.22-ashuariadevel/fs/partitions/ultrix.h
*** linux-2.4.22-ashuariadevel.backup/fs/partitions/ultrix.h	2001-10-02 12:03:26.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/partitions/ultrix.h	2004-02-02 14:35:09.000000000 +0900
***************
*** 3,7 ****
   */
  
  int ultrix_partition(struct gendisk *hd, struct block_device *bdev,
!                      unsigned long first_sector, int first_part_minor);
  
--- 3,7 ----
   */
  
  int ultrix_partition(struct gendisk *hd, struct block_device *bdev,
!                      sector_t first_sector, int first_part_minor);
  
diff -Ncr linux-2.4.22-ashuariadevel.backup/fs/qnx4/inode.c linux-2.4.22-ashuariadevel/fs/qnx4/inode.c
*** linux-2.4.22-ashuariadevel.backup/fs/qnx4/inode.c	2002-08-03 09:39:45.000000000 +0900
--- linux-2.4.22-ashuariadevel/fs/qnx4/inode.c	2004-02-02 14:35:09.000000000 +0900
***************
*** 204,210 ****
  	return NULL;
  }
  
! int qnx4_get_block( struct inode *inode, long iblock, struct buffer_head *bh, int create )
  {
  	unsigned long phys;
  
--- 204,210 ----
  	return NULL;
  }
  
! int qnx4_get_block( struct inode *inode, sector_t iblock, struct buffer_head *bh, int create )
  {
  	unsigned long phys;
  
***************
*** 424,430 ****
  	return cont_prepare_write(page,from,to,qnx4_get_block,
  		&page->mapping->host->u.qnx4_i.mmu_private);
  }
! static int qnx4_bmap(struct address_space *mapping, long block)
  {
  	return generic_block_bmap(mapping,block,qnx4_get_block);
  }
--- 424,430 ----
  	return cont_prepare_write(page,from,to,qnx4_get_block,
  		&page->mapping->host->u.qnx4_i.mmu_private);
  }
! static sector_t qnx4_bmap(struct address_space *mapping, sector_t block)
  {
  	return generic_block_bmap(mapping,block,qnx4_get_block);
  }
